n8n-nodes-arubacentral
Version:
n8n community node for Aruba Central API integration with comprehensive monitoring, configuration, and management capabilities
370 lines (265 loc) • 5.88 kB
Plain Text
Get devices from device inventory
get https://{api-base-url}/platform/device_inventory/v1/devices
This API is used to fetch list of devices from device inventory.
Log in to see full request history
time status user agent
Make a request to see history.
0 Requests This Month
Query Params
limit
integer
Number of devices to get
offset
integer
offset or page number
sku_type
string
required
iap/switch/controller/gateway/vgw/cap/boc/all_ap/all_controller/others
Responses
400
A required parameter or field is missing.
401
Unauthorized access. Authentication failed or was not provided.
403
Access denied.
404
The requested entity was not found.
413
Request-size limit exceeded
417
Request-size limit exceeded
429
API Rate limit exceeded
500
Server error
Add device using Mac and Serial number
post https://{api-base-url}/platform/device_inventory/v1/devices
This API is used to add a device using Mac and Serial Number. Note - PartNumber is required for OnPrem deployments.
Log in to see full request history
time status user agent
Make a request to see history.
0 Requests This Month
Body Params
Add device using MAC/SN
mac
string
required
serial
string
required
partNumber
string
Responses
200
Device added successfully
400
A required parameter or field is missing.
401
Unauthorized access. Authentication failed or was not provided.
403
Access denied.
404
The requested entity was not found.
413
Request-size limit exceeded
417
Request-size limit exceeded
429
API Rate limit exceeded
500
Server error
Delete devices using Serial number
delete https://{api-base-url}/platform/device_inventory/v1/devices
This API is used to delete devices using Serial Number. Note - This API is only supported for Central OnPrem deployments.
Log in to see full request history
time status user agent
Make a request to see history.
0 Requests This Month
Body Params
Delete device using SN
serial
string
required
Responses
200
Device deleted successfully
400
A required parameter or field is missing.
401
Unauthorized access. Authentication failed or was not provided.
403
Access denied.
404
The requested entity was not found.
413
Request-size limit exceeded
417
Request-size limit exceeded
429
API Rate limit exceeded
500
Server error
Get devices stats
get https://{api-base-url}/platform/device_inventory/v1/devices/stats
This API is used to fetch the device inventory stats.
Log in to see full request history
time status user agent
Make a request to see history.
0 Requests This Month
Query Params
sku_type
string
required
iap/switch/controller/gateway/vgw/cap/boc/all_ap/all_controller/others
service_type
string
required
Defaults to dm
Name of the service: dm/pa etc. .Check platform/orders/v1/services API response to know the lis of services
Responses
400
A required parameter or field is missing.
401
Unauthorized access. Authentication failed or was not provided.
403
Access denied.
404
The requested entity was not found.
413
Request-size limit exceeded
417
Request-size limit exceeded
429
API Rate limit exceeded
500
Server error
Verify device addition
post https://{api-base-url}/platform/device_inventory/v1/devices/verify
This API is used to validate if device(s) can be added to the inventory for the given MAC(s) and serial(s) in the body.
Log in to see full request history
time status user agent
Make a request to see history.
0 Requests This Month
Body Params
Verify devices to be added
mac
string
required
serial
string
required
partNumber
string
Responses
400
A required parameter or field is missing.
401
Unauthorized access. Authentication failed or was not provided.
403
Access denied.
404
The requested entity was not found.
413
Request-size limit exceeded
417
Request-size limit exceeded
429
API Rate limit exceeded
500
Server error
Get Archived devices from device inventory
get https://{api-base-url}/platform/device_inventory/v1/devices/archive
This API is used to fetch list of Archived devices from device inventory.
Log in to see full request history
time status user agent
Make a request to see history.
0 Requests This Month
Query Params
limit
integer
Number of devices to get
offset
integer
offset or page number
Responses
400
A required parameter or field is missing.
401
Unauthorized access. Authentication failed or was not provided.
403
Access denied.
404
The requested entity was not found.
413
Request-size limit exceeded
417
Request-size limit exceeded
429
API Rate limit exceeded
500
Server error
Archive devices using Serial list
post https://{api-base-url}/platform/device_inventory/v1/devices/archive
This API is used to archive a list of serials
Log in to see full request history
time status user agent
Make a request to see history.
0 Requests This Month
Body Params
Device Serial List
serials
array of strings
Responses
200
Device archived successfully
400
A required parameter or field is missing.
401
Unauthorized access. Authentication failed or was not provided.
403
Access denied.
404
The requested entity was not found.
409
Archive unsuccessful
413
Request-size limit exceeded
417
Request-size limit exceeded
429
API Rate limit exceeded
500
Server error
Unarchive devices using Serial list
post https://{api-base-url}/platform/device_inventory/v1/devices/unarchive
This API is used to unarchive a list of serials
Log in to see full request history
time status user agent
Make a request to see history.
0 Requests This Month
Body Params
Device Serial List
serials
array of strings
Responses
200
Device Unarchived successfully
400
A required parameter or field is missing.
401
Unauthorized access. Authentication failed or was not provided.
403
Access denied.
404
The requested entity was not found.
409
UnArchive unsuccessful
413
Request-size limit exceeded
417
Request-size limit exceeded
429
API Rate limit exceeded
500
Server error